[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.CursorState

Current cursor state for the grid control.

## Declaration

Source position: grids.pas line 1377

`public property TCustomGrid.CursorState : TGridCursorState read FCursorState;`

## Description

CursorState is a read-only TGridCursorState property which contains the current cursor state for the grid control. The value in CursorState is updated when methods are called which perform resizing or moving/dragging for columns and rows.

Use the ColRowDraggingCursor, ColSizingCursor, or RowSizingCursor properties to read or write the cursor shapes used for the corresponding actions.

Use RestoreCursor to set the cursor state to its default value (gcsDefault).

## See also

TGridCursorState |  | Enumerated type with cursor states available in a grid.